Last Comment Bug 776909 - Crash Report [@ java.lang.IllegalStateException: MultiChoicePreference entryKeys and initialValues arrays must be the same length at org.mozilla.gecko.MultiChoicePreference.loadPersistedValues(MultiChoicePreference.java) ]
: Crash Report [@ java.lang.IllegalStateException: MultiChoicePreference entryK...
Status: VERIFIED FIXED
[native-crash]
: crash, regression, topcrash
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: 16 Branch
: ARM Android
: -- critical (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Sebastian Kaspari (:sebastian)
Mentors:
Depends on:
Blocks: 775029
  Show dependency treegraph
 
Reported: 2012-07-24 07:04 PDT by Andreea Pod
Modified: 2016-07-29 14:28 PDT (History)
11 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed
unaffected


Attachments

Description Andreea Pod 2012-07-24 07:04:29 PDT
This bug was filed from the Socorro interface and is 
report bp-43849d8b-43ea-4198-9057-7d4882120724 .
============================================================= 

java.lang.IllegalStateException: MultiChoicePreference entryKeys and initialValues arrays must be the same length
	at org.mozilla.gecko.MultiChoicePreference.loadPersistedValues(MultiChoicePreference.java:224)
	at org.mozilla.gecko.MultiChoicePreference.<init>(MultiChoicePreference.java:37)
	at org.mozilla.gecko.PrivateDataPreference.<init>(PrivateDataPreference.java:28)
	at java.lang.reflect.Constructor.constructNative(Native Method)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:417)
	at android.preference.GenericInflater.createItem(GenericInflater.java:383)
	at android.preference.GenericInflater.createItemFromTag(GenericInflater.java:430)
	at android.preference.GenericInflater.rInflate(GenericInflater.java:481)
	at android.preference.GenericInflater.rInflate(GenericInflater.java:493)
	at android.preference.GenericInflater.inflate(GenericInflater.java:326)
	at android.preference.GenericInflater.inflate(GenericInflater.java:263)
	at android.preference.PreferenceManager.inflateFromResource(PreferenceManager.java:269)
	at android.preference.PreferenceActivity.addPreferencesFromResource(PreferenceActivity.java:1403)
	at org.mozilla.gecko.GeckoPreferences.onCreate(GeckoPreferences.java:51)
	at android.app.Activity.performCreate(Activity.java:4465)
	at android.app.Instrumentation.callActivityOnCreate(Instrumentation.java:1049)
	at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:1920)
	at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:1981)
	at android.app.ActivityThread.access$600(ActivityThread.java:123)
	at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1147)
	at android.os.Handler.dispatchMessage(Handler.java:99)
	at android.os.Looper.loop(Looper.java:137)
	at android.app.ActivityThread.main(ActivityThread.java:4424)
	at java.lang.reflect.Method.invokeNative(Native Method)
	at java.lang.reflect.Method.invoke(Method.java:511)
	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:784)
	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:551)
	at dalvik.system.NativeStart.main(Native Method)



Steps to reproduce:
1. open Fennec
2. go to Menu > Settings.
Comment 1 Andreea Pod 2012-07-24 07:08:19 PDT
Build: Firefox 16.0a2 (2012-07-24)
Device: Samsung Galaxy Nexus
OS: Android 4.0.4
Comment 2 Aaron Train [:aaronmt] 2012-07-24 07:25:21 PDT
Might be a regression from bug 774648. I can reproduce on mozilla-aurora 16 (07/24)
Comment 3 Brian Nicholson (:bnicholson) 2012-07-24 11:31:18 PDT
Looks like this was a bad merge in bug 775029.
Comment 4 Brian Nicholson (:bnicholson) 2012-07-24 12:09:35 PDT
Landed follow-up fix.
Comment 5 Naoki Hirata :nhirata (please use needinfo instead of cc) 2012-07-25 07:58:30 PDT
This should be fixed once we see tomorrow's data?  The follow-up fix was pushed yesterday so it should be in today's build.
Comment 6 Justin Wood (:Callek) 2012-07-25 14:16:00 PDT
Today's build seems to have solved it in my 100% repro case (loading the settings)

Note You need to log in before you can comment on or make changes to this bug.